<?php

    class request
    {
        public function __construct( $Request , $StripTags = true , $StringEscape = false )
        {
            if( is_array( $Request ) )
            {
                foreach( $Request AS $Key => $Value )
                {
                    if( $StripTags ) $Value = strip_tags( $Value );
                    
                    $this->$Key = ( $StringEscape ? esc( $Value ) : $Value );
                }
            } 
            else 
            {
                return;
            }
        }    
    }

?>